function [InfoMatMean_sh] = CompShufTmp(InfoMatMeanShTmp,shufperexp,SHUFNUM,exp_list)

sh = 1;
shufvect = zeros(1,size(InfoMatMeanShTmp,1));
InfoMatMean_sh = zeros(1,SHUFNUM);
while sh <= SHUFNUM
    parfor i = exp_list
        shufvect(i) = InfoMatMeanShTmp(i,floor((rand*shufperexp)+1));
    end
    
    [maxval, maxind] = max(shufvect);
    shufvectnomax = shufvect;
    shufvectnomax(maxind) = [];
    if maxval > mean(shufvectnomax) + 2*std(shufvectnomax)
        shufvect(maxind) = mean(shufvectnomax);
    end
    
    [maxval, maxind] = max(shufvect);
    shufvectnomax = shufvect;
    shufvectnomax(maxind) = [];
    if maxval > mean(shufvectnomax) + 2*std(shufvectnomax)
        shufvect(maxind) = mean(shufvectnomax);
    end
    
    InfoMatMean_sh(sh) = mean(shufvect);
    sh = sh + 1;
 end

